DH_CLEAN(1)

NAME
dh_clean - räumt die Bauverzeichnisse des Pakets auf

ÜBERSICHT
dh_clean [Debhelper-Optionen] [-k] [-d] [-XElement] [Pfad …]

BESCHREIBUNG
dh_clean ist ein Debhelper-Programm, welches für das Aufräumen verantwortlich ist. Es sollte an letzter Stelle des clean-Ziels stehen und die anderen Debhelper-Programme gehen im Allgemeinen davon aus, dass dh_clean hinter ihnen aufräumt.

Es entfernt die Paketbauverzeichnisse und einige andere Dateien wie debian/files, außerdem sämtlichen Müll, den andere Debhelper-Programme hinterlassen haben. Es löscht auch verschiedene Dateien, die nicht in einem Debian-Diff auftauchen sollten:
  #*# *~ DEADJOE *.orig *.rej *.SUMS __pycache__ TAGS .deps/* *.P *-stamp

Es führt jedoch nicht »make clean« aus, um nach dem Bauprozess aufzuräumen. Benutzen Sie für solche Zwecke dh_auto_clean(1).

DATEIEN

debian/clean
    kann weitere Pfade auflisten, die zu entfernen sind.

    Beachten Sie, dass Verzeichnisse, die in dieser Datei aufgeführt sind, mit einem Schrägstrich enden müssen. Der Inhalt dieser Verzeichnisse wird ebenfalls entfernt.

    unterstützt Ersetzungsvariablen in Kompatibilitätsstufe 13 oder neuer, wie in debhelper(7) beschrieben.

OPTIONEN

-k, --keep
    Dies ist veraltet, benutzen Sie stattdessen dh_prep(1).

    Die Option wurde in Kompatibilitätsstufe 12 entfernt.

-d, --dirs-only
    räumt nur die Bauverzeichnisse auf, keine weiteren Dateien.

-XElement --exclude=Element
    schließt Dateien, die irgendwo im Dateinamen Element enthalten, vom Löschen aus, auch dann, wenn sie normalerweise gelöscht würden. Sie können diese Option mehrfach benutzen, um eine Liste von Dingen zu erstellen, die ausgeschlossen werden sollen.

Pfad …>
    löscht diese <Pfade ebenfalls.

    Beachten Sie, dass Verzeichnisse, die als Argumente übergeben werden, mit einem Schrägstrich enden müssen. Der Inhalt dieser Verzeichnisse wird ebenfalls entfernt.

SIEHE AUCH
debhelper(7)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOR
Joey Hess <joeyh@debian.org>